Show a Protection Level
curl --request GET \
--url https://public-api.stora.co/2025-09/protection_levels/{protection_level_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/protection_levels/{protection_level_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/protection_levels/{protection_level_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"protection_level": {
"id": "plvl_e8f3ad0a07e47566",
"account_code": null,
"cover_level": {
"amount": 2000000,
"currency": "GBP",
"formatted": "£20,000.00"
},
"created_at": "2025-02-22T14:41:00Z",
"prices": [
{
"billing_period": "weekly",
"price": {
"amount": 999,
"currency": "GBP",
"formatted": "£9.99"
},
"stripe_price_id": "price_123"
}
],
"public": true,
"site": null,
"stripe_product_id": "test_Sj6us30iGDiaXO",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Protection Levels
Show a Protection Level
Retrieve a specific protection level by its ID.
Required authorization scope: public.protection_level:read
GET
/
2025-09
/
protection_levels
/
{protection_level_id}
Show a Protection Level
This endpoint is changing in a breaking way as we restructure how Protection Levels work. Contact us at api_support@stora.co and read this guide before starting any integration.
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the protection level to retrieve
Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Was this page helpful?